import RPi.GPIO as GPIO
import time
from random import randint

# Pin Nummern verwenden (nicht GPIO-Nummern):
GPIO.setmode(GPIO.BOARD)

#GPIO-Ports initialisieren:
GPIO.setup(32, GPIO.OUT) #gelb
GPIO.setup(33, GPIO.OUT) #rot

#PWM Frequenz auf 1kHz setzen:
yellow = GPIO.PWM(32, 1000) 
red = GPIO.PWM(33, 1000)

#Duty Cycle (0-100%) auf Null setzen:
red.start(0) 
yellow.start(0)

#Endlosschleife
while True:

    randomHIGH = randint(51,100)	#oberes Ende Zufallsbereich
    randomLOW = randint(10,50)		#unteres Ende Zufallsbereich
    randomPAUSE = randint(0,2)		#zufällige Wartezeit

    #Duty Cycle Schrittweise erhöhen
    for dc in range(randomLOW, randomHIGH, 2):	
        red.ChangeDutyCycle(dc)
        yellow.ChangeDutyCycle(dc)
        time.sleep(0.05)
    time.sleep(randomPAUSE)	#Zufallszeit warten

    #neue Zufallszahlen generieren:
    randomHIGH = randint(51,100)
    randomLOW = randint(10,50)
    randomPAUSE = randint(0,2)

    #Duty Cycle Schrittweise verringern
    for dc in range(randomHIGH, randomLOW, -2):
        red.ChangeDutyCycle(dc)
        yellow.ChangeDutyCycle(dc)
        time.sleep(0.05)
    time.sleep(randomPAUSE)	#Zufallszeit warten

	#wieder am Anfang der Schleife starten